# Class: selinux
#
#
class selinux {
    exec { "disable-selinux":
        command => "setenforce 0 >/dev/null",
        unless => "sestatus | grep -E 'SELinux status:\s+disabled' >/dev/null",
    }

    exec { "disable-selinux-conf":
        command => "sed -re 's:SELINUX=(enforcing|permissive):SELINUX=disabled:' -i /etc/selinux/config",
        unless => "grep 'SELINUX=disabled' /etc/selinux/config",
    }
    exec { "disable-selinux-extra-conf":
        command => "sed -re 's:SELINUX=(enforcing|permissive):SELINUX=disabled:' -i /etc/sysconfig/selinux",
        unless => "grep 'SELINUX=disabled' /etc/sysconfig/selinux",
    }
}